<?php
// Офф.сайт PROFIWM.RU
// http://profiwm.ru/us1
// Только эксклюзивные скрипты!
// За доработкой скрипта и улучшение функционала в ICQ 4354440

require_once ('../system/funcs.php');
require_once ('../system/sys.php');

H ('Биллинг', 'Биллинг | <b>Персональная иконка</b>');

if (isset($_POST['upload'])) {
$FileName = $_FILES['file']['name'];
$FileSize = $_FILES['file']['size'];
$GetExt = array('.gif','.jpeg','.jpg','.png');
$newfotorazmer = GetImageSize($_FILES['file']['tmp_name']);
$width = $newfotorazmer[0];
$height = $newfotorazmer[1];
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
if (DB::$dbs->querySingle("SELECT COUNT(id) FROM `us` WHERE `icon` = ? AND `id` = ?",array(0,$us['id']))){
if($us['money'] >= 10){
$err[] = 'Недостаточно средств на баллансе!';
}
}
if ($FileSize > 1024 * 2 * 1024) $err[] = 'Размер файла более 2 Мб!';
if(empty($FileName)) $err[] = 'Выберите файл.';
if($width>16 && $height>16) $err[] = 'Иконка должна быть 16х16 пикселей!';
if(preg_match('/(\.php|\.pl|\.htaccess)/i', $FileName) || !in_array($ext, $GetExt)) $err[] = 'Запрещенный формат файла!';
$file = 'icon_'.$us['id'].'_'.mt_rand(1000,9999).$ext;
if(empty($err)){
copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'] . '/files/ico/' . $file);
DB::$dbs->query("UPDATE `us` SET `icon` = ? WHERE `id` = ? LIMIT 1",array($file,$us['id']));
if(DB::$dbs->querySingle("SELECT COUNT(id) FROM `us` WHERE `icon_col` = ? AND `id` = ?",array(0,$us['id']))){
DB::$dbs->query("UPDATE `us` SET `icon` = ? WHERE `id` = ? LIMIT 1",array(1,$us['id']));
if($us['money'] < $cena['gradient']) {
echo '<div class="raz"><center><b>Неxватает денег!</b></center></div>';
F ();
exit();
}
DB :: $dbs -> query ("UPDATE `us` SET `icon`= '".$icon."' WHERE (`id`='" . $us['id'] . "')");
DB :: $dbs -> query ("UPDATE `us` SET `money`='" . ($us['money'] - $cena['icon']) . "' WHERE (`id`='" . $us['id'] . "')");

}
echo '<div class="list1"><b>Успешно установлено</b></div>';
} else {
echo '<div class="lst">';
foreach($err as $error) {
echo '<b>'.$error.'</b><br/>';
}
echo '</div>';
}
}
echo '<div class="raz">Ваш ник: '.uNick($us['id']).'</div>';
echo '<div class="raz">Ваши деньги: '.$us['money'].'</div>';
echo '<div class="lst">Стоимость установки иконки <font color=green><b>БЕСПЛАТНО</b></font></div>';
echo '<div class="lst"><form action="/bill/icon.php" method="post" enctype="multipart/form-data">Файл [PNG,GIF,JPG,JPEG / 16x16 px]:<br/>
<input name="file" type="file"/><br/>
<input type="submit" name="upload" value="Загрузить"></form></div>';
F ();
?>